Skip to main content
GET
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
assets
/
{assetType}
Retrieve assets
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/assets/{assetType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "metrics": {},
      "name": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetType
string
required

The type of asset to list for the specified campaign.

campaignGuid
string
required

The unique identifier of the campaign.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

endDate
string

The end date for filtering assets, in YYYY-MM-DD format.

limit
string

The maximum number of results to display per page.

startDate
string

The start date for filtering assets, in YYYY-MM-DD format.

Response

successful operation

results
object[]
required

An array of public campaign assets. Each item in the array is a reference to a PublicCampaignAsset object.

paging
object
Last modified on March 30, 2026